Subject: Re: bug#69241: Fixed patch issues

From: João Távora <[email-masked]>
Date: Sat, 9 Mar 2024 10:56:22 +0000

On Sat, Mar 9, 2024 at 8:56 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Daniel Pettersson <[email-masked]>
> > Date: Wed, 28 Feb 2024 13:22:50 +0100
> >
> > The previous patch included an large regression, where "batch" of
> > messages where handled as an LIFO.  This patch should fix the issue and
> > also removes the dependency on timer.el internal apis.  Which makes it
> > instead dependent on undocumented behavior that timers of equal time are
> > executed in LIFO order.
>
> João, any comments or suggestions?  Should I install this?

>From where I stand, Daniel Pettersson is the new Jsonrpc maintainer.  I'd give
him push rights so he can install this and push any follow-up fixes easily.